travis: Use a more recent OS X image
[strongswan.git] / .travis.yml
1 language: c
2
3 sudo: required
4 dist: trusty
5
6 compiler:
7   - gcc
8   - clang
9
10 before_install:
11   - ./scripts/test.sh deps
12   - ./scripts/test.sh pydeps
13
14 before_script:
15   - sudo sysctl -w net.ipv6.conf.all.disable_ipv6=0 || true
16
17 script:
18   - ./scripts/test.sh
19
20 env:
21   global:
22     - TESTS_REDUCED_KEYLENGTHS=yes
23     - LEAK_DETECTIVE=no
24     - MONOLITHIC=no
25   matrix:
26     - TEST=default
27     - TEST=default MONOLITHIC=yes
28     - TEST=default LEAK_DETECTIVE=yes
29     - TEST=openssl
30     - TEST=openssl LEAK_DETECTIVE=yes
31     - TEST=gcrypt
32     - TEST=gcrypt LEAK_DETECTIVE=yes
33     # we can't test Vstr as negative int args are not properly passed to CBs
34     - TEST=printf-builtin
35     - TEST=printf-builtin LEAK_DETECTIVE=yes
36     - TEST=all
37     - TEST=all MONOLITHIC=yes
38     - TEST=all LEAK_DETECTIVE=yes
39
40 matrix:
41   include:
42     - compiler: gcc
43       env: TEST=dist
44     - compiler: gcc
45       env: TEST=apidoc
46     - compiler: gcc
47       env: TEST=win64 MONOLITHIC=yes
48     # this does not work on 14.04 due to a missing @4 decoration for
49     # TryAcquireSRWLockExclusive in MinGW 3.1.0
50     - compiler: gcc
51       env: TEST=win32 MONOLITHIC=yes
52       dist: precise
53     - compiler: clang
54       os: osx
55       osx_image: xcode7
56       env: TEST=osx